### 1.  RandomGenerator

    * Ce générateur crée des graphiques aléatoires de toute taille qui essaie de générer des nœuds avec des connexions aléatoires, chaque nœud ayant en moyenne un degré donné.
      
    * L'appel de begin () place un nœud unique dans le graphique, puis nextEvents () ajoute un nouveau nœud à chaque appel et connecte ce nœud de manière aléatoire à d'autres.
      
    * Ce générateur a la possibilité d'ajouter des valeurs numériques choisies au hasard sur des attributs arbitraires sur les bords ou les nœuds du graphique, et de choisir au hasard une direction pour les bords.
    

    ```Java
Graph graph = new SingleGraph("Random");
    //ce générateur pour créer un graphe aléatoire orienté qui a un dégré moyen en 3
    Generator gen = new RandomGenerator(3,false,true);
    gen.addSink(graph);
    gen.begin();
    //l'ordre de cet graphe est 100
    while (graph.getNodeCount() < 100 && gen.nextEvents());
    gen.end();
    graph.display();
```
        